## Python Glacier Evolution Model (PyGEM)

The Python Glacier Evolution Model (PyGEM) is an open-source glacier evolution model coded in Python that models the transient evolution of glaciers. Each glacier is modeled independently using a monthly timestep. PyGEM has a modular framework that allows different schemes to be used for model calibration or model physics (e.g., climatic mass balance, glacier dynamics).

Details concerning the model installation, physics, and more may be found at [pygem.readthedocs.io](https://pygem.readthedocs.io/en/latest/).

PyGEM versions prior to 1.0.0 are no longer actively supported.

***

### Model Testing

To support model testing and demonstration, a suite of Jupyter notebooks can be found within a separate [PyGEM-notebooks](https://github.com/PyGEM-Community/PyGEM-notebooks) repository. 

***

<table style="width: 100%;">
  <tr>
    <td style="width: 50%;"><b>Version</b></td>
    <td style="width: 50%;">
      <a href="https://pypi.python.org/pypi/pygem"><img src="https://img.shields.io/pypi/v/pygem.svg"></a>
      &nbsp;
      <a href="https://pypi.python.org/pypi/pygem"><img src="https://img.shields.io/pypi/pyversions/pygem.svg"></a>
    </td>
  </tr>
  <tr>
    <td style="width: 50%;"><b>Citation</b></td>
    <td style="width: 50%;">
      <a href="https://www.science.org/doi/10.1126/science.abo1324"><img src="https://img.shields.io/badge/citation-Rounce%20et%20al.%20(2023;%20Science)-orange.svg"></a>
      &nbsp;
      <a href="https://doi.org/10.5281/zenodo.15538452"><img src="https://zenodo.org/badge/DOI/10.5281/zenodo.15538452.svg" alt="DOI"></a>
    </td>
  </tr>
  <tr>
    <td style="width: 50%;"><b>License</b></td>
    <td style="width: 50%;">
      <a href="https://github.com/PyGEM-Community/PyGEM/blob/master/LICENSE.txt"><img src="https://img.shields.io/pypi/l/pygem.svg"></a>
    </td>
  </tr>
  <tr>
    <td style="width: 50%;"><b>Systems</b></td>
    <td style="width: 50%;">
      - Ubuntu 20.04, 22.04 <br>
      - Red Hat Enterprise Linux (RHEL) 8.8 <br>
      - macOS (Intel & Apple Silicon) <br>
      - <em>Note</em>, we suggest that Windows users install<br>PyGEM using either the Windows Subsystem<br>for Linux or Oracle VirtualBox
    </td>
  </tr>
</table>
